Package twisted :: Package coil :: Package plugins :: Module ftp :: Class FTPConfigurator

[show private | hide private]
[frames | no frames]

## Class FTPConfigurator

          Configurator --+
                         |
    Collection --+       |
                 |       |
       Constrained --+   |
                     |   |
                Locked --+
                         |
                        FTPConfigurator

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring.
| `config_root(self, root)`
| ``configDispensers`(self)` Return list of dispensers. (inherited from `Configurator`)
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Collection`)
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `Locked`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration. (inherited from `Configurator`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Collection`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Collection`)
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Collection`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``listEntities`(self, request)` Retrieve a list of all name, entity pairs I contain. (inherited from `Collection`)
| ``listNames`(self, request)` Retrieve a list of all names for entities that I contain. (inherited from `Collection`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Collection`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| `lock(self)` (inherited from `Locked`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)` (inherited from `Constrained`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`string` | `configName`
`dictionary` | `configTypes`
`class` | `FTPFactory`

Method Details

### __init__(self, instance)
(Constructor)

Initialize this configurator with the instance it will be configuring.

  Overrides:
    `twisted.coil.coil.Configurator.__init__` (inherited documentation)

Class Variable Details

### configName

  Type:
    `string`
  Value:

        'FTP Server'

### configTypes

  Type:
    `dictionary`
  Value:

        {'anonymous': ['boolean', 'Allow Anonymous Logins', ''],
         'otp': ['boolean', 'OTP', 'Use One Time Passwords.'],
         'root': [<type 'string'>, 'Root', 'The root folder for the FTP server\
        .'],
         'thirdparty': ['boolean',
                        'Allow 3rd-party Transfers',
                        'Allow A to forward data to B. May be a security risk.\
        '],
        ...

### FTPFactory

`FTPFactory` = `twisted.protocols.ftp.FTPFactory`

Generated by Epydoc 1.1 on Sat Feb 15 21:17:47 2003 | http://epydoc.sf.net